package cz.muni.fi.pb162.cv3;
/**
 * Class describing red wines
 * 
 * @author Zuzana Neverilova (xpopelk@fi.muni.cz)
 * @version 2010-10-18
 */
public class WhiteWine extends Wine
{
    /**
     * Constructor of White Wine
     * @param type - type (variety) of the wine
     */
    public WhiteWine(String type)
    {
        setType(type);
    }

    
    /**
     * Constructor of White Wine
     * @param type - type (variety) of the wine
     * @param origin - origin (country) of the wine
     */
    public WhiteWine(String type, String origin){
        this(type);
        setOrigin(origin);
    }
    
    
    /**
     * Constructor of White Wine
     * @param type - type (variety) of the wine
     * @param origin - origin (country) of the wine
     * @param vintage - vintage (year) of the wine
     */
    public WhiteWine(String type, String origin, int vintage){
        this(type, origin);
        setVintage(vintage);
    }    

    
    /**
     * Constructor of White Wine
     * @param type - type (variety) of the wine
     * @param origin - origin (country) of the wine
     * @param vintage - vintage (year) of the wine
     * @param taste - description of the wine's taste
     */
    public WhiteWine(String type, String origin, int vintage, String taste){
        this(type, origin, vintage);
        setTaste(taste);
    }

    /**
     * Returns the color of the wine
     * @return white since whit wines are white
     */
    public Color getColor(){
        return Color.white;
    }
    
}
